Subject: Re: [PATCH] tests: fix overeager scrubbing of environment variables

From: Jonathan Nieder <[email-masked]>
Date: Sun, 27 Mar 2011 16:37:56 -0500

Jens Lehmann wrote:

> - GIT_SKIP_TESTS
> - GIT_TEST*
> - GIT_PROVE_OPTS
>
> Let's fix that by adding them to the exception list.
>
> Signed-off-by: Jens Lehmann <[email-masked]>

Acked-by: Jonathan Nieder <[email-masked]>

It misses a few, though:

 - GIT_REMOTE_SVN_TEST_BIG_FILES
 - GIT_NOTES_TIMING_TESTS
 - GIT_PATCHID_TIMING_TESTS
 - GIT_VALGRIND_OPTIONS

If we were starting over I suppose those would all be GIT_TEST* but
there's something to be said for muscle memory.

> I noticed today that skipping a test the way I was used to suddenly failed:
>
> GIT_SKIP_TESTS='t1234' GIT_TEST_OPTS='--root=/dev/shm' make -j10 test
>
> This should work according to t/README, but didn't anymore.

I would have just written that in the change description.

Good catch, thanks.